Collection List
List collections using the filtering options, newest first. Collections accumulate with members, so results are paginated.
List collections using the filtering options, newest first.
Collections accumulate with members, so results are paginated.
storyden-session<token>account_handle?stringAccount handle.
has_item?stringWhen specified, will include a field in the response indicating whether or not the specified item is present in the collection. This saves you needing to make two queries to check if an item is in a collection.
xidpage?stringPagination query parameters.
Collection list.
application/json- response
To be composed with paginated resource responses.
page_size*integerresults*integertotal_pages*integercurrent_page*integernext_page?integercollections*array<>curl -X GET 'https://example.com/api/collections?account_handle=southclaws'{ "page_size": 0, "results": 0, "total_pages": 0, "current_page": 0, "next_page": 0, "collections": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "name": "string", "slug": "string", "description": "string", "owner": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }, "item_count": 0, "has_queried_item": true } ]}Collection Get GET
Get a collection by its ID. Collections can be public or private so the response will depend on which account is making the request and if the target collection is public, private, owned or not owned by the account.
Collection Remove Node DELETE
Remove a node from a collection. The collection must be owned by the account making the request.